# TODO: should be proxy friendlier by using relative URLs!

%global pname   wapd
%global __provides_exclude_from ^%{vdr_plugindir}/.*\\.so.*$

Name:           vdr-%{pname}
Version:        0.9
Release:        22.patch1%{?dist}
Summary:        WAP remote control interface for VDR

License:        GPLv2+
URL:            http://www.heiligenmann.de/vdr/vdr/plugins/wapd.html
Source0:        http://www.heiligenmann.de/vdr/download/%{name}-%{version}.tgz
Source1:        %{name}-waphosts
Source2:        %{name}-wapaccess
Source3:        %{name}-proxy.conf
Source4:        %{name}.conf
Patch0:         http://www.heiligenmann.de/vdr/download/wapd-0.9-patch1.diff.gz
Patch1:         %{name}-0.9-condwait.patch
Patch2:         %{name}-0.9-vdr1727.patch

BuildRequires:  vdr-devel >= 1.6.0-41
BuildRequires:  gawk
Requires:       vdr(abi)%{?_isa} = %{vdr_apiversion}

%description
The wapd plugin enables VDR to be remotely controlled using a WML interface
with WML enabled browsers such as mainstream mobile phones.


%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
iconv -f iso-8859-1 -t utf-8 HISTORY > HISTORY.utf8 ; mv HISTORY.utf8 HISTORY
sed -i -e 's|/video/plugins|%{vdr_configdir}/plugins|' README
install -pm 644 %{SOURCE3} %{name}-httpd.conf
 

%build
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr all


%install
install -dm 755 $RPM_BUILD_ROOT%{vdr_plugindir}
install -pm 755 libvdr-%{pname}.so.%{vdr_apiversion} \
  $RPM_BUILD_ROOT%{vdr_plugindir}
install -Dpm 755 wappasswd $RPM_BUILD_ROOT%{_bindir}/wappasswd
install -Dpm 640 %{SOURCE1} $RPM_BUILD_ROOT%{vdr_configdir}/plugins/waphosts
install -Dpm 640 %{SOURCE2} $RPM_BUILD_ROOT%{vdr_configdir}/plugins/wapaccess
install -Dpm 644 %{SOURCE4} \
  $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf


%files
%doc gpl-2.0.txt HISTORY README %{name}-httpd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf
%{_bindir}/wappasswd
%{vdr_plugindir}/libvdr-%{pname}.so.%{vdr_apiversion}
%defattr(-,%{vdr_user},root,-)
%config(noreplace) %{vdr_configdir}/plugins/wapaccess
%config(noreplace) %{vdr_configdir}/plugins/waphosts


%changelog
* Tue Oct 02 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.9-22.patch1
- Rebuild.

* Thu Sep 13 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.9-21.patch1
- Rebuild.

* Wed Jul 18 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.9-20.patch1
- Rebuild.

* Wed Jun 27 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.9-19.patch1
- Rebuild.

* Tue Mar 27 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.9-18.patch1
- Patch to build with VDR 1.7.27.

* Sun Mar 11 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.9-17.patch1
- Rebuild.

* Tue Mar 06 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.9-16.patch1
- Rebuild.

* Mon Feb 20 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.9-15.patch1
- Rebuild.

* Sun Jan 15 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.9-14.patch1
- Rebuild.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-13.patch1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Dec  4 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.9-12.patch1
- Rebuild.

* Sun Nov  6 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.9-11.patch1
- Clean up specfile constructs no longer needed with Fedora or EL6+.

* Thu Mar  3 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.9-10.patch1
- Filter autogenerated plugin lib Provides (rpmbuild >= 4.9).

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-9.patch1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Aug 10 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.9-8.patch1
- Use ISA qualified dependency to vdr(abi).
- Use %%global instead of %%define.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-7.patch1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-6.patch1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Apr 20 2008 Ville Skyttä <ville.skytta at iki.fi> - 0.9-5.patch1
- Update to 0.9-patch1; i18n, signedness and headers patches applied upstream.

* Mon Apr  7 2008 Ville Skyttä <ville.skytta at iki.fi> - 0.9-4
- Rebuild for VDR 1.6.0.

* Sun Mar 16 2008 Ville Skyttä <ville.skytta at iki.fi> - 0.9-3
- Patch to fix crash at shutdown.

* Sat Feb 16 2008 Ville Skyttä <ville.skytta at iki.fi> - 0.9-2
- Rebuild.

* Tue Jan 22 2008 Ville Skyttä <ville.skytta at iki.fi> - 0.9-1
- 0.9, license changed to GPLv2+.
- Patch to improve translations.
- Patch to fix port conversion in accepted/denied syslog messages.
- Patch to fix missing HTTP headers on access denied responses.

* Wed Aug 22 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.8-18
- BuildRequires: gawk for extracting APIVERSION.

* Tue Aug  7 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.8-17
- License: GPL+
- Update URLs.

* Sat Mar 24 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.8-16
- Improvement suggestions from #219097: drop build dependency on sed,
  improve summary and description.

* Sun Dec 10 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.8-15
- Trim pre VDR 1.4.0 changelog entries.

* Sat Nov  4 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.8-14
- Install optional Apache proxy snippet as doc, not in-place.
- Build for VDR 1.4.4.

* Fri Oct 06 2006 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0.8-13
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Sat Sep 23 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.8-12
- Rebuild for VDR 1.4.3.

* Sun Aug  6 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.8-11
- Rebuild for VDR 1.4.1-3.

* Sun Jun 11 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.8-10
- Rebuild for VDR 1.4.1.
- Add mod_deflate sample to example proxy config.

* Sun Apr 30 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.8-9
- Rebuild for VDR 1.4.0.
